Bug 151402 - [maintainer-update] sysutils/automounter - 1.4.4 release
Summary: [maintainer-update] sysutils/automounter - 1.4.4 release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-12 01:30 UTC by kamikaze
Modified: 2010-11-09 05:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.99 KB, patch)
2010-10-12 01:30 UTC, kamikaze
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2010-10-12 01:30:07 UTC
sysutils/automounter - 1.4.4 release
- Fix two different races with devd

Note that this patch removes the pkg-message file, please use "patch -E" to apply.
Comment 1 Beat Gaetzi freebsd_committer 2010-10-26 09:11:13 UTC
Please do not restart devd in pkg-install. A note in pkg-message is
sufficient as the administrator could decide if he want's to restart
devd or not. This is also mentioned in the porters handbook:

http://www.freebsd.org/doc/en/books/porters-handbook/book.html#AEN5402

This example is about stopping services at deinstall but I think it also
matches this case about restarting services at installation time.

Beat
Comment 2 Martin Wilke freebsd_committer 2010-11-04 05:28:22 UTC
State Changed
From-To: open->feedback

I aree with beat here, please reread the porter handbook.
Comment 3 kamikaze 2010-11-04 07:54:31 UTC
I did not receive beat's message (no CC), so thanks for the note, miwi!

Here is the updated patch.

diff -Nur automounter.orig/Makefile automounter/Makefile
--- automounter.orig/Makefile	2010-10-12 01:51:46.000000000 +0200
+++ automounter/Makefile	2010-11-04 08:27:13.000000000 +0100
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	automounter
-PORTVERSION=	1.4.3
+PORTVERSION=	1.4.4
 CATEGORIES=	sysutils
 MASTER_SITES=	SF/bsdadminscripts/${PORTNAME}
 
diff -Nur automounter.orig/distinfo automounter/distinfo
--- automounter.orig/distinfo	2010-10-12 01:51:46.000000000 +0200
+++ automounter/distinfo	2010-10-12 01:52:02.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (automounter-1.4.3.tar.gz) = 27100d7e51f5953780f7045cdcab5e79
-SHA256 (automounter-1.4.3.tar.gz) = 3a00c13c0d4195c00e8dc7bdd0a075ea56b68cd419a1c945c663a15c360a39a2
-SIZE (automounter-1.4.3.tar.gz) = 22407
+MD5 (automounter-1.4.4.tar.gz) = 8b4da9a0c595b700e97a36a6df15236b
+SHA256 (automounter-1.4.4.tar.gz) = 71bb88b76832e1a1cff754a0217d2efbf275275b33952949b3649bc943a76347
+SIZE (automounter-1.4.4.tar.gz) = 22777
diff -Nur automounter.orig/pkg-descr automounter/pkg-descr
--- automounter.orig/pkg-descr	2010-10-12 01:51:46.000000000 +0200
+++ automounter/pkg-descr	2010-11-04 08:48:13.000000000 +0100
@@ -1,10 +1,6 @@
-A script to dynamically configure amd and populate /media with appropriate
-links, when USB mass storage devices appear.
+A script to dynamically configure amd(8) and populate /media with appropriate
+symlinks, when storage devices appear.
 
-It also allows to automatically attach geli encrypted devices and images with
-keys polled from file systems it makes mountable.
+It can also apply geli(8) keys from portable media to images and devices,
 
-WWW: http://sourceforge.net/projects/bsdadminscripts/
-
-- Kamikaze
-kamikaze@bsdforen.de
+WWW: http://sf.net/projects/bsdadminscripts/
diff -Nur automounter.orig/pkg-message automounter/pkg-message
--- automounter.orig/pkg-message	2010-10-12 01:51:46.000000000 +0200
+++ automounter/pkg-message	2010-11-04 08:36:54.000000000 +0100
@@ -1,5 +1,8 @@
 -------------------------------------------------------------------------------
-It is no longer required to manually create devd.conf entries. Please remove
-your automounter related devd.conf entries and restart /etc/rc.d/devd after
-an update.
+Please restart the devd(8) daemon after install, especially when updating from
+a previous version of automounter.
+
+Note that stopping devd often leaves a stale PID file behind, which then
+blocks restarting it. Use a more roundabout way of restarting the service:
+	service devd stop; rm /var/run/devd.pid; service devd start
 -------------------------------------------------------------------------------
Comment 4 Sahil Tandon freebsd_committer 2010-11-09 05:20:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

Take.
Comment 5 dfilter service freebsd_committer 2010-11-09 05:23:18 UTC
sahil       2010-11-09 05:23:10 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/automounter Makefile distinfo pkg-descr pkg-message 
  Log:
  - Update to 1.4.4
  
  PR:             ports/151402
  Submitted by:   Dominic Fandrey <kamikaze@bsdforen.de> (maintainer)
  
  Revision  Changes    Path
  1.13      +1 -1      ports/sysutils/automounter/Makefile
  1.12      +2 -3      ports/sysutils/automounter/distinfo
  1.3       +4 -8      ports/sysutils/automounter/pkg-descr
  1.2       +6 -3      ports/sysutils/automounter/pkg-message
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Sahil Tandon freebsd_committer 2010-11-09 05:23:30 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!